% Flegel/Birnstiel/Nerreter, Elektrotechnik
% Kapitel 14, Aufgabe 9
syms I1 I2 I3;
clc
b2g=180/pi;
phi1=-18/b2g;
Z1=60*cos(phi1) + 1i*60*sin(phi1);
phi2=50/b2g;
Z2=24*cos(phi2) + 1i*24*sin(phi2);
phi3=0;
Z3=24;
phi12=30/b2g;
U12=400*cos(phi12) +1i*400*sin(phi12);
U23=-1i*400;
U13=400*cos(phi12) - 1i*400*sin(phi12);
M=[Z1 -Z2 0; 0 Z2 -Z3; 1 1 1];
RS=[U12; U23; 0];
L = linsolve(M, RS);
I1 = L(1);
I2 = L(2);
I3 = L(3);
disp('Aufgabe 14.9');
disp(' ');
disp(['I1 = ',sprintf(' %2.4f ',abs(I1)),'A']);
disp(['phi1 = ',sprintf(' %3.3f ',angle(I1)*b2g),'']);
disp(['I2 = ',sprintf(' %2.4f ',abs(I2)),'A']);
disp(['phi2 = ',sprintf(' %3.3f ',angle(I2)*b2g),'']);
disp(['I3 = ',sprintf(' %2.4f ',abs(I3)),'A']);
disp(['phi3 = ',sprintf(' %3.3f ',angle(I3)*b2g),'']);
disp(' ');
P1=real(Z1)*abs(I1)^2;
P2=real(Z2)*abs(I2)^2;
P3=Z3*abs(I3)^2;
P=P1+P2+P3;
disp(['P1 = ',sprintf(' %5.4f ',P1),'W']);
disp(['P2 = ',sprintf(' %5.4f ',P2),'W']);
disp(['P3 = ',sprintf(' %5.4f ',P3),'W']);
disp(['Pg = ',sprintf(' %5.4f ',P),'W']);
disp(' ');
Pa1=real(U13*conj(I1));
Pa2=real(U23*conj(I2));
P=Pa1+Pa2;
disp(['Pa1 = ',sprintf(' %5.4f ',Pa1),'W']);
disp(['Pa2 = ',sprintf(' %5.4f ',Pa2),'W']);
disp(['Pges = ',sprintf(' %5.4f ',P),'W']);