% Flegel/Birnstiel/Nerreter, Elektrotechnik
% Kapitel 14, Aufgabe 1
clc
disp('Lsung 14.1');
syms M X RS;
RA1=10;
I1=7.8e-3;
RA2=1;
I2=25.6e-3;
M=[1 -RA1*I1; 1 -RA2*I2];
RS=[I1; I2];
X=linsolve(M, RS);
Iqe=X(1);
Gie=X(2);
Rie=1/Gie;
Uqe=Rie*Iqe;
disp(' ');
disp(['Ersatzquellenspannung Uqe = ',sprintf(' %2.6f ',1000*Uqe),' mV']);
disp(['Ersatzinnenwiderstand Rie = ',sprintf(' %2.6f ',Rie),' Ohm']);
disp(' ');
disp(['Ersatzquellenstrom Iqe = ',sprintf(' %3.3f ',1000*Iqe),'mA']);
disp(['Ersatzinnenleitwert Gie = ',sprintf(' %2.4f ',Gie),'S']);